#
# switches:
#	define the ones you want in the CFLAGS definition...
#
#
DEBUGS= -v

CFLAGS= $(DEBUGS) -ml -DMSDOS -I. -I..\inc -g200
LFLAGS= -L..\lib

# Assembler flags
AFLAGS=-mx -t

# Define PC-specific include file

.c.obj:
        bcc -c $(CFLAGS) $*.c
        tlib ..\lib\rtos -+$*

.asm.obj:
        tasm $(AFLAGS) $*;
        tlib ..\lib\rtos -+$*

#ntime.exe:
#        bcc $(CFLAGS) $(LFLAGS) $*.c rtos.lib wattcplg.lib

objs = ftpd.obj httpd.obj smtpd.obj telnetd.obj \
       smtpcli.obj syslog.obj ntime.obj http.obj \
       cgi.obj snmpd.obj snmptrap.obj tftpd.obj tftp.obj

..\lib\rtos.lib: $(objs)
        echo done

